@use crate::reverse_dependencies::CratePageRevDeps;
@use crate::reverse_dependencies::RevDepInf;
@use crate::Urler;
@use kitchen_sink::DependencyKind;

@(url: &Urler, p: &CratePageRevDeps<'_>, r: &RevDepInf)

<tr>
  <td>@if r.downloads > 100 {
    <span class=downloads>@if let Some((num,unit)) = Some(p.downloads(r.downloads)) {@num<b>@unit</b>}</span>
  }</td>
  <td>@if r.rev_dep_count > 0 {
    @if let Some(link) = url.reverse_deps(&r.origin) {<a href="@link">@r.rev_dep_count</a>}}</td>
  <td><a href="@url.crate_by_origin(&r.origin)">@r.depender_name</a></td>
  <td>@if r.is_optional {<span class=feature>optional</span>}
 @if r.kind != DependencyKind::Normal {<span class="label label-@p.kind(r.kind)">@p.kind(r.kind)</span>}</td>
  <td@if !r.matches_latest { class=outdated}@if !r.features.is_empty() { title="@r.features"}>@r.req</td>
</tr>
